View a markdown version of this page

ListLimitsProfiles - Amazon Quick

ListLimitsProfiles

Lists all limits profiles in an Amazon Quick Sight account. Results are paginated. Use the maxResults parameter to limit the number of results returned in a single call, and use the nextToken parameter to retrieve the next page of results.

Request Syntax

GET /governance/limits/accounts/accountId/profiles?maxResults=maxResults&nextToken=nextToken&resourceType=resourceType HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

accountId

The ID of the AWS account that contains the limits profiles.

Length Constraints: Fixed length of 12.

Pattern: ^[0-9]{12}$

Required: Yes

maxResults

The maximum number of results to return in a single call. If you don't specify a value, the service uses the default maximum.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The token for the next set of results, or null if there are no more results.

resourceType

An optional filter that limits the results to profiles that contain the specified resource type. If you don't specify a value, the operation returns all profiles.

Valid Values: INDEX_STORAGE | AGENT_HOURS

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "profiles": [ { "accountId": "string", "arn": "string", "createdAt": number, "description": "string", "profileId": "string", "profileName": "string", "resourceLimits": { "string" : { "maxValue": number, "unit": "string" } }, "updatedAt": number } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

profiles

A list of limits profiles.

Type: Array of LimitsProfile objects

nextToken

The token for the next set of results, or null if there are no more results.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You don't have access to this item. The provided credentials couldn't be validated. You might not be authorized to carry out the request. Make sure that your account is authorized to use the Amazon Quick Sight service, that your policies have the correct permissions, and that you are using the correct credentials.

RequestId

The AWS request ID for this request.

HTTP Status Code: 401

InternalFailureException

An internal failure occurred.

RequestId

The AWS request ID for this request.

HTTP Status Code: 500

InvalidParameterValueException

One or more parameters has a value that isn't valid.

RequestId

The AWS request ID for this request.

HTTP Status Code: 400

ThrottlingException

Access is throttled.

RequestId

The AWS request ID for this request.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: